Subject: Re: [PATCH RFC net-next v2 0/7] net: stmmac: improve PCS support

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 9 Mar 2026 10:14:15 +0000

On Fri, Mar 06, 2026 at 01:16:47AM +0530, Mohd Ayaan Anwar wrote:
>   - Link up at 2.5G, 1G, and 100M is fine (phylink logs below). The PCS
>     link takes a moment to stabilize, but after that it's stable.
>   - The warning ("PCS configuration changed from phylink by glue;
>     ANE 0 -> 1") is observed when the link comes up at 1G/100M.

Something else to try...

It may avoid some PCS link state bouncing if the writel() came before
the printing of the changes in dwmac_ctrl_ane(), as printing those
changes will be relatively slow.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!